# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.awt
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class Key(metaclass=UnoConstMeta, type_name="com.sun.star.awt.Key", name_space="com.sun.star.awt"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.awt.Key``"""
        pass

    class KeyEnum(IntEnum, metaclass=ConstEnumMeta, type_name="com.sun.star.awt.Key", name_space="com.sun.star.awt"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.awt.Key`` as Enum values"""
        pass

else:
    from ...lo.awt.key import Key as Key

    class KeyEnum(IntEnum):
        """
        Enum of Const Class Key

        These values are used to specify distinct physical keys, plus some special values used by the macOS implementation.
        
        **since**
        
            LibreOffice 4.3
        """
        NUM0 = Key.NUM0
        NUM1 = Key.NUM1
        NUM2 = Key.NUM2
        NUM3 = Key.NUM3
        NUM4 = Key.NUM4
        NUM5 = Key.NUM5
        NUM6 = Key.NUM6
        NUM7 = Key.NUM7
        NUM8 = Key.NUM8
        NUM9 = Key.NUM9
        A = Key.A
        B = Key.B
        C = Key.C
        D = Key.D
        E = Key.E
        F = Key.F
        G = Key.G
        H = Key.H
        I = Key.I
        J = Key.J
        K = Key.K
        L = Key.L
        M = Key.M
        N = Key.N
        O = Key.O
        P = Key.P
        Q = Key.Q
        R = Key.R
        S = Key.S
        T = Key.T
        U = Key.U
        V = Key.V
        W = Key.W
        X = Key.X
        Y = Key.Y
        Z = Key.Z
        F1 = Key.F1
        F2 = Key.F2
        F3 = Key.F3
        F4 = Key.F4
        F5 = Key.F5
        F6 = Key.F6
        F7 = Key.F7
        F8 = Key.F8
        F9 = Key.F9
        F10 = Key.F10
        F11 = Key.F11
        F12 = Key.F12
        F13 = Key.F13
        F14 = Key.F14
        F15 = Key.F15
        F16 = Key.F16
        F17 = Key.F17
        F18 = Key.F18
        F19 = Key.F19
        F20 = Key.F20
        F21 = Key.F21
        F22 = Key.F22
        F23 = Key.F23
        F24 = Key.F24
        F25 = Key.F25
        F26 = Key.F26
        DOWN = Key.DOWN
        UP = Key.UP
        LEFT = Key.LEFT
        RIGHT = Key.RIGHT
        HOME = Key.HOME
        END = Key.END
        PAGEUP = Key.PAGEUP
        PAGEDOWN = Key.PAGEDOWN
        RETURN = Key.RETURN
        ESCAPE = Key.ESCAPE
        TAB = Key.TAB
        BACKSPACE = Key.BACKSPACE
        SPACE = Key.SPACE
        INSERT = Key.INSERT
        DELETE = Key.DELETE
        ADD = Key.ADD
        SUBTRACT = Key.SUBTRACT
        MULTIPLY = Key.MULTIPLY
        DIVIDE = Key.DIVIDE
        POINT = Key.POINT
        COMMA = Key.COMMA
        LESS = Key.LESS
        GREATER = Key.GREATER
        EQUAL = Key.EQUAL
        OPEN = Key.OPEN
        CUT = Key.CUT
        COPY = Key.COPY
        PASTE = Key.PASTE
        UNDO = Key.UNDO
        REPEAT = Key.REPEAT
        FIND = Key.FIND
        PROPERTIES = Key.PROPERTIES
        FRONT = Key.FRONT
        CONTEXTMENU = Key.CONTEXTMENU
        HELP = Key.HELP
        MENU = Key.MENU
        HANGUL_HANJA = Key.HANGUL_HANJA
        DECIMAL = Key.DECIMAL
        TILDE = Key.TILDE
        QUOTELEFT = Key.QUOTELEFT
        CAPSLOCK = Key.CAPSLOCK
        NUMLOCK = Key.NUMLOCK
        SCROLLLOCK = Key.SCROLLLOCK
        DELETE_TO_BEGIN_OF_LINE = Key.DELETE_TO_BEGIN_OF_LINE
        DELETE_TO_END_OF_LINE = Key.DELETE_TO_END_OF_LINE
        DELETE_TO_BEGIN_OF_PARAGRAPH = Key.DELETE_TO_BEGIN_OF_PARAGRAPH
        BRACKETLEFT = Key.BRACKETLEFT
        BRACKETRIGHT = Key.BRACKETRIGHT
        SEMICOLON = Key.SEMICOLON
        QUOTERIGHT = Key.QUOTERIGHT
        DELETE_TO_END_OF_PARAGRAPH = Key.DELETE_TO_END_OF_PARAGRAPH
        """
        The following values don't correspond to physical keys on any keyboard but are used in the macOS implementation of VCL.
        
        They correspond to some of the action messages of the NSResponder abstract class.
        """
        DELETE_WORD_BACKWARD = Key.DELETE_WORD_BACKWARD
        DELETE_WORD_FORWARD = Key.DELETE_WORD_FORWARD
        INSERT_LINEBREAK = Key.INSERT_LINEBREAK
        INSERT_PARAGRAPH = Key.INSERT_PARAGRAPH
        MOVE_WORD_BACKWARD = Key.MOVE_WORD_BACKWARD
        MOVE_WORD_FORWARD = Key.MOVE_WORD_FORWARD
        MOVE_TO_BEGIN_OF_LINE = Key.MOVE_TO_BEGIN_OF_LINE
        MOVE_TO_END_OF_LINE = Key.MOVE_TO_END_OF_LINE
        MOVE_TO_BEGIN_OF_PARAGRAPH = Key.MOVE_TO_BEGIN_OF_PARAGRAPH
        MOVE_TO_END_OF_PARAGRAPH = Key.MOVE_TO_END_OF_PARAGRAPH
        SELECT_BACKWARD = Key.SELECT_BACKWARD
        SELECT_FORWARD = Key.SELECT_FORWARD
        SELECT_WORD_BACKWARD = Key.SELECT_WORD_BACKWARD
        SELECT_WORD_FORWARD = Key.SELECT_WORD_FORWARD
        SELECT_WORD = Key.SELECT_WORD
        SELECT_LINE = Key.SELECT_LINE
        SELECT_PARAGRAPH = Key.SELECT_PARAGRAPH
        SELECT_ALL = Key.SELECT_ALL
        SELECT_TO_BEGIN_OF_LINE = Key.SELECT_TO_BEGIN_OF_LINE
        SELECT_TO_END_OF_LINE = Key.SELECT_TO_END_OF_LINE
        MOVE_TO_BEGIN_OF_DOCUMENT = Key.MOVE_TO_BEGIN_OF_DOCUMENT
        MOVE_TO_END_OF_DOCUMENT = Key.MOVE_TO_END_OF_DOCUMENT
        SELECT_TO_BEGIN_OF_DOCUMENT = Key.SELECT_TO_BEGIN_OF_DOCUMENT
        SELECT_TO_END_OF_DOCUMENT = Key.SELECT_TO_END_OF_DOCUMENT
        SELECT_TO_BEGIN_OF_PARAGRAPH = Key.SELECT_TO_BEGIN_OF_PARAGRAPH
        SELECT_TO_END_OF_PARAGRAPH = Key.SELECT_TO_END_OF_PARAGRAPH

__all__ = ['Key', 'KeyEnum']
