# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.sdbc
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class Deferrability(metaclass=UnoConstMeta, type_name="com.sun.star.sdbc.Deferrability", name_space="com.sun.star.sdbc"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.sdbc.Deferrability``"""
        pass

    class DeferrabilityEnum(IntEnum, metaclass=ConstEnumMeta, type_name="com.sun.star.sdbc.Deferrability", name_space="com.sun.star.sdbc"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.sdbc.Deferrability`` as Enum values"""
        pass

else:
    from ...lo.sdbc.deferrability import Deferrability as Deferrability

    class DeferrabilityEnum(IntEnum):
        """
        Enum of Const Class Deferrability

        indicates the Deferrability of key constraints.
        """
        INITIALLY_DEFERRED = Deferrability.INITIALLY_DEFERRED
        """
        A possible value for the column DEFERRABILITY in the XResultSet objects returned by the methods getImportedKeys, getExportedKeys, and getCrossReference.
        
        Indicates deferrability. See SQL-92 for a definition.
        """
        INITIALLY_IMMEDIATE = Deferrability.INITIALLY_IMMEDIATE
        """
        A possible value for the column DEFERRABILITY in the XResultSet objects returned by the methods getImportedKeys, getExportedKeys, and getCrossReference.
        
        Indicates deferrability. See SQL-92 for a definition.
        """
        NONE = Deferrability.NONE
        """
        A possible value for the column DEFERRABILITY in the XResultSet objects returned by the methods getImportedKeys, getExportedKeys, and getCrossReference.
        
        Indicates deferrability. See SQL-92 for a definition.
        """

__all__ = ['Deferrability', 'DeferrabilityEnum']
