# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.security
from enum import IntFlag
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class CertificateCharacters(metaclass=UnoConstMeta, type_name="com.sun.star.security.CertificateCharacters", name_space="com.sun.star.security"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.security.CertificateCharacters``"""
        pass

    class CertificateCharactersEnum(IntFlag, metaclass=ConstEnumMeta, type_name="com.sun.star.security.CertificateCharacters", name_space="com.sun.star.security"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.security.CertificateCharacters`` as Enum values"""
        pass

else:
    from ...lo.security.certificate_characters import CertificateCharacters as CertificateCharacters

    class CertificateCharactersEnum(IntFlag):
        """
        Enum of Const Class CertificateCharacters

        Constant definition of a certificate characters.
        
        The certificate characters will be defined as bit-wise constants.
        """
        SELF_SIGNED = CertificateCharacters.SELF_SIGNED
        """
        It is a self-signed certificate.
        """
        HAS_PRIVATE_KEY = CertificateCharacters.HAS_PRIVATE_KEY
        """
        A private key binding with the certificate is in user's profile.
        """

__all__ = ['CertificateCharacters', 'CertificateCharactersEnum']
