# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.chart
import typing
from abc import abstractmethod
from .x_axis_x_supplier import XAxisXSupplier as XAxisXSupplier_d43a0cb3
if typing.TYPE_CHECKING:
    from ..beans.x_property_set import XPropertySet as XPropertySet_bc180bfa

class XTwoAxisXSupplier(XAxisXSupplier_d43a0cb3):
    """
    gives access to both the primary and the secondary x-axis of a chart.

    See Also:
        `API XTwoAxisXSupplier <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1chart_1_1XTwoAxisXSupplier.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.chart'
    __ooo_full_ns__: str = 'com.sun.star.chart.XTwoAxisXSupplier'
    __ooo_type_name__: str = 'interface'
    __pyunointerface__: str = 'com.sun.star.chart.XTwoAxisXSupplier'

    @abstractmethod
    def getSecondaryXAxis(self) -> 'XPropertySet_bc180bfa':
        """
        The returned property set contains scaling properties as well as formatting properties.
        """
        ...

__all__ = ['XTwoAxisXSupplier']

