# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.chart2
import typing
from abc import abstractproperty
from ..beans.property_set import PropertySet as PropertySet_b0e70ba2
from ..drawing.fill_properties import FillProperties as FillProperties_f1200da8
from ..drawing.line_properties import LineProperties as LineProperties_f13f0da9
from ..style.character_properties import CharacterProperties as CharacterProperties_1d4f0ef3
if typing.TYPE_CHECKING:
    from ..awt.size import Size as Size_576707ef
    from .relative_position import RelativePosition as RelativePosition_fae10ddd

class RegressionCurveEquation(PropertySet_b0e70ba2, FillProperties_f1200da8, LineProperties_f13f0da9, CharacterProperties_1d4f0ef3):
    """
    Service Class


    See Also:
        `API RegressionCurveEquation <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1chart2_1_1RegressionCurveEquation.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.chart2'
    __ooo_full_ns__: str = 'com.sun.star.chart2.RegressionCurveEquation'
    __ooo_type_name__: str = 'service'

    @abstractproperty
    def NumberFormat(self) -> int:
        """
        """
        ...

    @abstractproperty
    def ReferencePageSize(self) -> 'Size_576707ef':
        """
        """
        ...

    @abstractproperty
    def RelativePosition(self) -> 'RelativePosition_fae10ddd':
        """
        """
        ...

    @abstractproperty
    def ShowCorrelationCoefficient(self) -> bool:
        """
        """
        ...

    @abstractproperty
    def ShowEquation(self) -> bool:
        """
        """
        ...

    @abstractproperty
    def XName(self) -> str:
        """
        """
        ...

    @abstractproperty
    def YName(self) -> str:
        """
        """
        ...



__all__ = ['RegressionCurveEquation']

