# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Exception Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.deployment
# Libre Office Version: 7.3
from ooo.oenv.env_const import UNO_NONE
import typing
from ..uno.exception import Exception as Exception_85530a09
from ..uno.x_interface import XInterface as XInterface_8f010a43

class InstallException(Exception_85530a09):
    """
    Exception Class

    describes the fact that deployment unit is about to be installed.
    
    This exception is intended to be used with an com.sun.star.task.XInteractionHandler.
    
    **since**
    
        OOo 2.2

    See Also:
        `API InstallException <https://api.libreoffice.org/docs/idl/ref/exceptioncom_1_1sun_1_1star_1_1deployment_1_1InstallException.html>`_
    """

    __ooo_ns__: str = 'com.sun.star.deployment'
    __ooo_full_ns__: str = 'com.sun.star.deployment.InstallException'
    __ooo_type_name__: str = 'exception'
    __pyunointerface__: str = 'com.sun.star.deployment.InstallException'
    __pyunostruct__: str = 'com.sun.star.deployment.InstallException'

    typeName: str = 'com.sun.star.deployment.InstallException'
    """Literal Constant ``com.sun.star.deployment.InstallException``"""

    def __init__(self, Message: typing.Optional[str] = '', Context: typing.Optional[XInterface_8f010a43] = None, displayName: typing.Optional[str] = '') -> None:
        """
        Constructor

        Arguments:
            Message (str, optional): Message value.
            Context (XInterface, optional): Context value.
            displayName (str, optional): displayName value.
        """
        kargs = {
            "Message": Message,
            "Context": Context,
            "displayName": displayName,
        }
        self._init(**kargs)

    def _init(self, **kwargs) -> None:
        self._display_name = kwargs["displayName"]
        inst_keys = ('displayName',)
        kargs = kwargs.copy()
        for key in inst_keys:
            del kargs[key]
        super()._init(**kargs)

    @property
    def displayName(self) -> str:
        """
        the display name of the extension, which is to be installed.
        """
        return self._display_name
    
    @displayName.setter
    def displayName(self, value: str) -> None:
        self._display_name = value


__all__ = ['InstallException']

