# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.drawing


class EnhancedCustomShapeGluePointType(object):
    """
    Const Class

    defines which gluepoints are being offered by the EnhancedCustomShape

    See Also:
        `API EnhancedCustomShapeGluePointType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1drawing_1_1EnhancedCustomShapeGluePointType.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.drawing'
    __ooo_full_ns__: str = 'com.sun.star.drawing.EnhancedCustomShapeGluePointType'
    __ooo_type_name__: str = 'const'

    NONE = 0
    """
    no gluepoints are offered
    """
    SEGMENTS = 1
    """
    gluepoints are offered for each segment
    """
    CUSTOM = 2
    """
    only gluepoints of the GluePoints property from the com.sun:star.drawing.EnhancedCustomShapePath are offered
    """
    RECT = 3
    """
    standard top, left, right, bottom gluepoints are offered
    """

__all__ = ['EnhancedCustomShapeGluePointType']
