# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.drawing
from abc import abstractproperty
from .shape import Shape as Shape_85cc09e5

class PageShape(Shape_85cc09e5):
    """
    Service Class

    This service is for a page shape.
    
    A page shape displays a preview of another page. These shapes are used inside notes pages to preview the corresponding drawing page. They're also used in the handout page to preview the printing position and order of pages

    See Also:
        `API PageShape <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1drawing_1_1PageShape.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.drawing'
    __ooo_full_ns__: str = 'com.sun.star.drawing.PageShape'
    __ooo_type_name__: str = 'service'

    @abstractproperty
    def PageNumber(self) -> int:
        """
        this is the page number that is used for the preview.
        
        For page shapes on notes pages, this can't be changed. For page shapes on handout pages, this value only describes the relative order of the different page shapes on the page.
        """
        ...



__all__ = ['PageShape']

