# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.i18n


class ScriptDirection(object):
    """
    Const Class

    Script direction constants to use with XScriptTypeDetector methods.
    
    **since**
    
        OOo 1.1.2

    See Also:
        `API ScriptDirection <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1i18n_1_1ScriptDirection.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.i18n'
    __ooo_full_ns__: str = 'com.sun.star.i18n.ScriptDirection'
    __ooo_type_name__: str = 'const'

    NEUTRAL = 0
    """
    Script direction is neutral.
    """
    LEFT_TO_RIGHT = 1
    """
    Script direction is left to right.
    """
    RIGHT_TO_LEFT = 2
    """
    Script direction is right to left.
    """

__all__ = ['ScriptDirection']
