# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.sdbcx
from abc import abstractproperty
from .column import Column as Column_7b1d098a

class KeyColumn(Column_7b1d098a):
    """
    Service Class

    adds a property to specify the referenced column.
    
    This is used to specify foreign keys.

    See Also:
        `API KeyColumn <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1sdbcx_1_1KeyColumn.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.sdbcx'
    __ooo_full_ns__: str = 'com.sun.star.sdbcx.KeyColumn'
    __ooo_type_name__: str = 'service'

    @abstractproperty
    def RelatedColumn(self) -> str:
        """
        is the name of a reference column out of the referenced table.
        """
        ...



__all__ = ['KeyColumn']

