# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.sheet
from .x_external_sheet_cache import XExternalSheetCache as XExternalSheetCache_1a420e89

class ExternalSheetCache(XExternalSheetCache_1a420e89):
    """
    Service Class

    A single sheet cache for an external document.
    
    This cached data is used for external cell and cell range references, as well as external range names. A com.sun.star.sheet.ExternalDocLink instance contains a set of these sheet caches.
    
    **since**
    
        OOo 3.1

    See Also:
        `API ExternalSheetCache <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1sheet_1_1ExternalSheetCache.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.sheet'
    __ooo_full_ns__: str = 'com.sun.star.sheet.ExternalSheetCache'
    __ooo_type_name__: str = 'service'



__all__ = ['ExternalSheetCache']

