# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.sheet
from ..container.x_enumeration_access import XEnumerationAccess as XEnumerationAccess_4bac0ffc
from ..container.x_name_access import XNameAccess as XNameAccess_e2ab0cf6
from .x_function_descriptions import XFunctionDescriptions as XFunctionDescriptions_3a130fb6

class FunctionDescriptions(XEnumerationAccess_4bac0ffc, XNameAccess_e2ab0cf6, XFunctionDescriptions_3a130fb6):
    """
    Service Class

    represents a collection of function descriptions for all built-in functions as well as add-in functions available in the spreadsheet application.
    
    All container access methods return a sequence of com.sun.star.beans.PropertyValue structs. The properties contained in the sequence are collected in the service FunctionDescription.

    See Also:
        `API FunctionDescriptions <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1sheet_1_1FunctionDescriptions.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.sheet'
    __ooo_full_ns__: str = 'com.sun.star.sheet.FunctionDescriptions'
    __ooo_type_name__: str = 'service'



__all__ = ['FunctionDescriptions']

