# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.sheet
import typing
from abc import abstractmethod
from ..uno.x_interface import XInterface as XInterface_8f010a43
if typing.TYPE_CHECKING:
    from .x_conditional_format import XConditionalFormat as XConditionalFormat_be90e56
    from .x_sheet_cell_ranges import XSheetCellRanges as XSheetCellRanges_edef0d52

class XConditionalFormats(XInterface_8f010a43):
    """

    See Also:
        `API XConditionalFormats <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1sheet_1_1XConditionalFormats.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.sheet'
    __ooo_full_ns__: str = 'com.sun.star.sheet.XConditionalFormats'
    __ooo_type_name__: str = 'interface'
    __pyunointerface__: str = 'com.sun.star.sheet.XConditionalFormats'

    @abstractmethod
    def createByRange(self, range: 'XSheetCellRanges_edef0d52') -> int:
        """
        adds a conditional format to the existing list returns the id of the inserted conditional format
        """
        ...
    @abstractmethod
    def getConditionalFormats(self) -> 'typing.Tuple[XConditionalFormat_be90e56, ...]':
        """
        """
        ...
    @abstractmethod
    def getLength(self) -> int:
        """
        """
        ...
    @abstractmethod
    def removeByID(self, ID: int) -> None:
        """
        """
        ...

__all__ = ['XConditionalFormats']

