# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.text


class PositionLayoutDir(object):
    """
    Const Class

    These values specify the layout direction, in which the position attributes of a shape are given.
    
    **since**
    
        OOo 2.0

    See Also:
        `API PositionLayoutDir <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1text_1_1PositionLayoutDir.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.text'
    __ooo_full_ns__: str = 'com.sun.star.text.PositionLayoutDir'
    __ooo_type_name__: str = 'const'

    PositionInHoriL2R = 1
    """
    position attributes are given in horizontal left-to-right direction
    """
    PositionInLayoutDirOfAnchor = 2
    """
    position attributes are given in layout direction of the drawing objects anchor
    """

__all__ = ['PositionLayoutDir']
